<?php
/**
 * The template for displaying Author Archive pages
 */
get_header();
vt_content_section('author entry-grid');
vt_widgets_sheet('v-top', false);
?>
    <?php if ( have_posts() ) : ?>
	<header class="entry-header">
		<h1 class="archive-title">
				<span class="vcard"><?php printf( __( 'Author Archives: %s', 'veblebi'), '<a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a>' ); ?></span>
		</h1>
	</header><!-- .archive-header -->
	<?php rewind_posts();?>
	<?php
	// If a user has filled out their description, show a bio on their entries.
	if ( get_the_author_meta( 'description' ) ) : ?>
	<div class="author-info">
		<div class="author-avatar">
			<?php
			$author_bio_avatar_size = apply_filters( 'veblebi_author_bio_avatar_size', 68 );
			echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
			?>
		</div><!-- .author-avatar -->
		<div class="author-description">
			<h3 class="page-header"><?php printf( __( 'About %s', 'veblebi'), get_the_author() ); ?></h3>
			<p><?php the_author_meta( 'description' ); ?></p>
		</div><!-- .author-description	-->
	</div><!-- .author-info -->
	<?php endif; ?>
	<div class="entry clearfix">
	<?php
		vt_posts();
		vt_paginate();
		vt_widgets_sheet('bottom');
	?>
	</div>
<?php 
vt_content_section(null,true);
endif;
get_sidebar(); 
get_footer(); ?>