<?php
global $wp_version;
define('THEME_NS', 'veblebi');
define('TEMP_URL', get_template_directory_uri() );
define('TEMP_CSS', TEMP_URL. "/css/");
define('TEMP_JS', TEMP_URL. "/js/");
define('TEMP_IMAGES', TEMP_URL. "/images/");
define('WP_VERSION', $wp_version);
// DIRECTORY
define('TEMP_PATH', get_template_directory());
define('TEMP_INC', TEMP_PATH. "/includes/");
define('TEMP_COMPONENT', TEMP_PATH. "/inc/components/");
define('TEMP_COMPONENT_URL', TEMP_URL. "/inc/components/");
define('TEMP_PAGE', TEMP_PATH. "/inc/pages/");
define('grid_col', is_active_sidebar('sidebar') ? 'col-md-9 col-sm-8' : 'col-md-12 col-sm-12');
define('TEMP_GET', isset($_GET['get'])? $_GET['get'] : 'none' );
define('HOME_PATH', WP_CONTENT_DIR);
define('TEMP_PERMALINK', get_option('permalink_structure') ? 'y':'n' );

@date_default_timezone_set(get_option('timezone_string'));

if (WP_VERSION < 3.4) {
	add_action('admin_notices', 'unsupported_version_notice1');
	add_action('wp_head', 'unsupported_version_notice2');
	function unsupported_version_notice1() {
		?>
		<div id='theme-warning' class='error fade'><p><strong><?php _e('Current theme requires WordPress 3.4 or higher.', THEME_NS); ?></strong>
		<?php
		echo sprintf(__('Please <a href="%s">upgrade WordPress</a>', THEME_NS),
			'https://wordpress.org/news/category/releases/');
		?>
		</p></div>
		<?php
	}
	function unsupported_version_notice2() {
		?>
		</head>
		<body>
		<strong><?php _e('Current theme requires WordPress 3.4 or higher.', THEME_NS); ?></strong>
		<?php
		echo sprintf(__('Please <a href="%s">upgrade WordPress</a>', THEME_NS),
			'https://wordpress.org/news/category/releases/');
		?>
		</body>
		</html>
		<?php
		die();
	}
	return;
}

function vt_setup() {
	load_theme_textdomain( 'veblebi', TEMP_PATH . '/languages' );
	add_editor_style();
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support('post-thumbnails', array( 'post'));
	add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form', 'gallery', 'caption' ) );
	$args = array(
		'default-color' => 'F7F7F7',
		'default-image' => TEMP_IMAGES.'bg-noise2.png',
	);
	add_theme_support( 'custom-background', $args );
	$defaults = array(
		'default-image'          => '',
		'random-default'         => false,
		'width'                  => 240,
		'height'                 => 60,
		'flex-height'            => false,
		'flex-width'             => false,
		'default-text-color'     => '#EEEEEE',
		'header-text'            => true,
		'uploads'                => true,
		'wp-head-callback'       => '',
		'admin-head-callback'    => '',
		'admin-preview-callback' => '',
	);
	add_theme_support( 'custom-header', $defaults );

	add_theme_support('nav-menus');
	if ( function_exists('register_nav_menus')) {
		register_nav_menus( array(
				'main-menu'  =>  __( 'Main menu', THEME_NS),
			)
		);
	}
}
add_action( 'after_setup_theme', 'vt_setup' );

if ( !isset( $content_width ) ) $content_width = 900;

function theme_wp_title( $title, $sep ) {
    global $paged, $page;
    if ( is_feed() ) {
        return $title;
    }
    $site_description = get_bloginfo( 'description' );
    if (  is_home() || is_front_page()  ) {
        return $title;
    } else {
		if($site_description)
			$site_description = " - $site_description";
			$title = "$title $site_description";
	 }
    if ( $paged >= 2 || $page >= 2 ) {
        $title = "$title $sep " . sprintf( __( 'Page %s', THEME_NS ), max( $paged, $page ) );
    }
    return $title;
}
add_filter( 'wp_title', 'theme_wp_title', 10, 2 );

function vt_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport		 = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
}
add_action( 'customize_register', 'vt_customize_register' );

require( TEMP_INC . 'default.php' );

if( !is_admin()){
	add_filter('widget_text', 'do_shortcode');
	// Register Bootstrap style sheet.
	function register_theme_bootstrap() {
		wp_deregister_style('bootstrap');
		wp_register_style( 'theme-bootstrap', TEMP_CSS.( '/bootstrap/css/bootstrap.min.css' ) );
		wp_enqueue_style( 'theme-bootstrap' );
	}
	add_action( 'wp_enqueue_scripts', 'register_theme_bootstrap' );
	function register_theme_styles() {
		wp_register_style( 'theme-styles', get_template_directory_uri().( '/style.css' ) );
		wp_enqueue_style( 'theme-styles' );
	}
	add_action( 'wp_enqueue_scripts', 'register_theme_styles' );
	function register_fontawesome_styles() {
		wp_register_style( 'fontawesome-styles', TEMP_CSS .  'font-awesome-4.2.0/css/font-awesome.min.css'  );
		wp_enqueue_style( 'fontawesome-styles' );
	}
	add_action( 'wp_enqueue_scripts', 'register_fontawesome_styles' );
	// RTL Support
	if ( is_rtl() ) {
		function register_rtl_styles() {
			wp_register_style( 'rtl-styles', TEMP_CSS .  'rtl.css'  );
			wp_enqueue_style( 'rtl-styles' );
		}
		add_action( 'wp_enqueue_scripts', 'register_rtl_styles' );
	}
	// Responsive
	else {
		function register_responsive_styles() {
			wp_register_style( 'responsive-styles', TEMP_CSS .  'responsive.css'  );
			wp_enqueue_style( 'responsive-styles' );
		}
		add_action( 'wp_enqueue_scripts', 'register_responsive_styles' );
	}

	function bootstrap_scripts_with_jquery(){
		wp_deregister_script('bootstrap');
		wp_register_script( 'bootstrap', TEMP_CSS . '/bootstrap/js/bootstrap.min.js' , array( 'jquery' ) );
		wp_enqueue_script( 'bootstrap' );
	}
	add_action( 'wp_enqueue_scripts', 'bootstrap_scripts_with_jquery' );
	function vt_scripts_with_jquery(){
		wp_deregister_script('t_js');
		wp_register_script( 't_js', TEMP_JS . 'script.js', array( 'jquery' ),'1.0.0',true );
		wp_enqueue_script( 't_js' );
	}
	add_action( 'wp_enqueue_scripts', 'vt_scripts_with_jquery' );
	
	// menu walker
	require( TEMP_INC . 'wp_bootstrap_navwalker.php' );

	add_filter('wp_list_categories', 'add_span_cat_count');
		function add_span_cat_count($links) {
		$links = str_replace('</a> (', '</a> <span class="badge">', $links);
		$links = str_replace(')', '</span>', $links);
		return $links;
	}
} 
// IS_ADMIN //////////////////////////////
else {
	// Enable font size & font family selects in the editor
	if ( ! function_exists( 'vt_mce_buttons' ) ) {
		function vt_mce_buttons( $buttons ) {
			if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) return;
			array_unshift( $buttons, 'fontselect' ); // Add Font Select
			array_unshift( $buttons, 'fontsizeselect' ); // Add Font Size Select
			return $buttons;
		}
	}
	add_filter( 'mce_buttons', 'vt_mce_buttons' );

	add_filter( 'wp_handle_upload_prefilter', 'rename_upload_file_char' );  
	function rename_upload_file_char( $file ){
		if(is_array($file)) {
			$file['name'] = vt_chr($file['name']);
		} else {
			$file = vt_chr($file);
		}
		return $file;
	}
	/* twentytwelve theme-customizer.js */
	function veblebi_customize_preview_js() {
		wp_enqueue_script( 'veblebi-customizer', get_template_directory_uri() . '/js/theme-customizer.js', array( 'customize-preview' ), '20130301', true );
	}
	add_action( 'customize_preview_init', 'veblebi_customize_preview_js' );
	require( TEMP_INC . 'options.php');
}
?>
