<?php 
/**
 * The Template for displaying Header
 * @package WordPress
 * @subpackage veblebi
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=Edge"><![endif]-->
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="author" content="veblebi.com | Sinan Tekmil">
<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri()?>/js/html5shiv.js"></script><![endif]-->
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<link rel="icon" href="<?php echo get_option('theme_favicon') ? get_option('theme_favicon') : get_stylesheet_directory_uri().'/favicon.ico';?>">
<?php 
wp_head();
if (is_singular() && get_option('thread_comments')) {
	wp_enqueue_script('comment-reply');
}
$social = vt_social();
?>
<script>var $=jQuery.noConflict();</script>
</head>
<body <?php body_class();?>>
<?php
$logo = get_option('theme_logo');
$site_logo = get_custom_header();
if($site_logo) {
	$logo = get_custom_header()->thumbnail_url;
}
if(!$logo) {
	$text_color = get_header_textcolor();
}
?>
	<!-- main menu -->
	<div class="navbar navbar-inverse navbar-fixed-top" id="main-menu">
	  <div class="container">
		<div class="navbar-header">
		<a class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
		</a>
		<span class="navbar-brand logo-brand">
			<?php if($logo):?>
				<a id="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
					<img src="<?php echo $logo?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
				</a>
			<?php else:?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home" style="color:#<?php echo $text_color?>">
					<h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
					<h2 class="site-description" style="color:#<?php echo $text_color?>"><?php bloginfo( 'description' ); ?></h2>
				</a>
			<?php endif?>
		</span>
		</div>
		<div class="collapse navbar-collapse">
		<ul class="nav navbar-nav navbar-right right-menu">
		<li class="dropdown">
			<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-search"></i></a>
			<ul id="h-search" class="dropdown-menu clearfix">
				<li>
				<form role="search" method="get" id="searchform" action="<?php echo home_url(); ?>">
					<div class="form-group">
						<div class="input-group">
							<input type="text" id="hs" name="s" class="form-control" placeholder="Search">
							<div class="input-group-addon">
							<button type="submit" class="btn btn-danger"><span class="glyphicon glyphicon-search"></span></button>
							</div>
						</div>
					</div>
				</form>
				</li>
			</ul>
		</li>
		<?php if($social == true ):?>
		<li class="dropdown">
			<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-hand-o-up"></i></a>
			<ul id="h-social" class="dropdown-menu clearfix">
				<li>
					<?php vt_social(true)?>
				</li>
			</ul>
		</li>
		<?php endif?>
		</ul>
		<?php vt_main_menu()?>
		</div>
	  </div>
	</div>
	<!-- // main-menu -->
	<div class="container">
	<div id="content-box" class="row">