<?php
/**
 * The Template for general functions
 */
function vt_sheet_col() {
	echo is_active_sidebar('v-sidebar') ? 'col-sm-7 col-md-8 col-lg-8 col-xs-12' : 'col-sm-12 col-xs-12';
}

///////////////////////////////
// Main Menu
///////////////////////////////
function vt_main_menu() {
	$location = has_nav_menu( 'main-menu' ) ? 'main-menu' : null;
	wp_nav_menu( array(
		'theme_location'	=> $location ,
		'menu'	=> 'primary',
		'depth'				=> 3,
		'container'			=> '',
		'search_form'		=> 0,
		'container_class'	=> 'collapse navbar-collapse navbar-a',
		'menu_class'		=> 'nav navbar-nav',
		'fallback_cb'		=> 'wp_bootstrap_navwalker::fallback',
		'first_url'			=> home_url(),
		'first_text'		=> '<span class="glyphicon glyphicon-home"></span>',
		'walker'			=> new wp_bootstrap_navwalker())
	);
}

///////////////////////////////
// Social Button
///////////////////////////////
function vt_social($k = false) {
	$args = array(
				'Facebook'	=> 'fa-facebook',
				'Twitter'	=> 'fa-twitter',
				'Google'	=> 'fa-google-plus',
				'Linkedin'	=> 'fa-linkedin',
				'Pinterest'	=> 'fa-pinterest',
				'Youtube'	=> 'fa-youtube',
				'Flickr'	=> 'fa-flickr',
				'Tumblr'	=> 'fa-tumblr',
				'Instagram'	=> 'fa-instagram',
				'Rss'		=> 'fa-rss'
			);
	foreach($args as $key => $sv):
		if(get_option($key)):
			if($k==false) return true;
	?>
		<a href="<?php echo get_option($key)?>" class="<?php echo $key?> btn btn-default" title="<?php echo $key?>" target="_blank"><i class="fa <?php echo $sv?>"></i></a>
	<?php
		endif;
	endforeach;
}

///////////////////////////////
// Entry tags
///////////////////////////////
function vt_entry_tags() {
	if(get_the_tag_list()) {
		echo '<span class="glyphicon glyphicon-tags"></span> &nbsp; '.get_the_tag_list('<span class="label label-primary">','</span> <span class="label label-primary">','</span>');
	}
}
// meta
function vt_entry_meta($echo = true, $id = null) {
	$id = ($id == false ) ? get_the_ID() : $id;
	$date = $author = $tag_list = $categories_list = $out = null;
	$entry_meta = array();
	if ( get_option('show_date') == 1 || !get_option('show_date'))
		$entry_meta['date'] = '<a href="'.get_month_link(get_the_time('Y'), get_the_time('m')).'"><span class="glyphicon glyphicon-time"></span>'.esc_html(get_the_date()).'</a>';
	if ( get_option('show_author',1) == 1 ) {
		$author_url = esc_url( get_author_posts_url(get_the_author_meta('ID')));
		$author_title = esc_attr(sprintf(__('View all posts by %s', 'veblebi'), get_the_author()));
		$entry_meta['author'] = '<span class="entry-meta-box"><span class="glyphicon glyphicon-user"></span><a class="meta-author" href="'.$author_url.'" title="'.$author_title.'" rel="author">'.get_the_author().'</a></span>';
	}
	if ( get_option('show_categories',1) == 1 ) {
		$categories_list = get_the_category_list( __( ' | ','' ) );
		if(!empty( $categories_list) ) {
			$entry_meta['categories'] = '<span><span class="glyphicon glyphicon-list-alt"></span>'.$categories_list.'</span>';
		}
	}
	if ( get_option('show_tag',1) == 1 ) {
			$tags = get_the_tag_list('<span>','</span> <span>','</span>');
			if($tags)
				$entry_meta['tags'] = '<span class="entry-meta-box"><span class="glyphicon glyphicon-tags"></span>'.$tags.'</span>';
	}

	if ( get_option('show_comments',1) == 1 ) {
		$comment =  null;
		$comment_number = get_comments_number();
		if($comment_number == true)
			$entry_meta['comments'] = '<span class="entry-meta-box"><span class="glyphicon glyphicon-comment"></span>'.$comment_number.'</span>';
	}
	if(!empty($entry_meta )):
		$out = '<ul class="entry_meta clearfix">';
		foreach($entry_meta as $key=>$v )
			$out .= '<li class="'. $key.'">'.$v.'</li>';
		$out .= '</ul>';
	endif;
	if($echo == true) echo $out;
	else return $out;
}

///////////////////////////////
// Remove URL string
///////////////////////////////
function vt_remove_url_string($v) {
	return preg_replace('/\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|$!:,.;]*[A-Z0-9+&@#\/%=~_|$]/i', '', $v);  
}

///////////////////////////////
// Paginate
///////////////////////////////
function vt_paginate($query=null) {
if(function_exists('wp_pagenavi')) : ?>
	<div class="pnavi">
			<?php wp_pagenavi(); ?>
	</div>
	<?php return;endif;
	wp_reset_query();
	if($query == null) {
		global $wp_query;
		$max_num = $wp_query->max_num_pages;
	} else {
		$max_num = $query->max_num_pages;
	}
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$big = 999999999; // need an unlikely integer
?>
<div class="col-xs-12 pagination">
<?php
	/*$paginate = paginate_links( array(
		'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
		'format' => '?paged=%#%',
		'current' => max( 1,  $paged ),
		'total' => $max_num ,
	) );*/
	 $args =  array(
        'base' => add_query_arg('paged','%#%'),
        'format' => '?paged=%#%',
        'mid-size' => 1,
        'current' => $paged,
        'total' => $max_num,
    );
	 echo $paginate = paginate_links( $args );
	
	//echo $paginate;
?>
<?php if($paginate):?><span class="current"><?php echo $paged ?> / <?php echo $max_num?></span><?php endif?>
</div>
<?php
}

///////////////////////////////
// comment
///////////////////////////////
function vt_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
		// Display trackbacks differently than normal comments.
	?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
		<p><?php _e( 'Pingback:', 'veblebi' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'veblebi' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
		// Proceed with normal comments.
		global $post;
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
	<div>
	<div class="panel panel-default panel-body">
		<article id="comment-<?php comment_ID(); ?>" class="clearfix">
			<div class="comment-author vcard clearfix">
				<div class="avatar col-sm-1 col-xs-2">
					<?php echo get_avatar( $comment, $size='75' ); ?>
				</div>
				<div class="col-sm-11 col-md-11 col-xs-10 comment-text">
					<div class="comments-meta">
					<?php printf('<span class="comment-author">%s</span>', get_comment_author_link()) ?>
					<time datetime="<?php echo comment_date('Y-m-j'); ?>">
						<a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">
							<span class="glyphicon glyphicon-calendar"></span> 
								<?php comment_date()?> <span class="glyphicon glyphicon-time"></span> <?php comment_time()?>
						</a>
					</time>
					<span class="glyphicon glyphicon-send"></span>
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
					<?php edit_comment_link(__('Edit','veblebi'),'<span class="comment-edit"><span class="glyphicon glyphicon-edit"></span> ','</span>') ?>
					</div>
					<?php if ($comment->comment_approved == '0') : ?>
						<div class="alert-message success">
						<p><?php _e('Your comment is awaiting moderation.','veblebi') ?></p>
						</div>
					<?php endif; ?>
					<?php comment_text() ?>
				</div>
			</div>
		</article>
		</div>
		</div>
	<?php
		break;
	endswitch; // end comment_type check
}

///////////////////////////////
// Add link
///////////////////////////////
function vt_link_tags() {
	return get_tags();
}
function vt_add_link_tags($text) {
	if(get_option('auto_link',2) != 1 )
		return $text;
	$all_tags = vt_link_tags();
	if ($all_tags) {
		$i = 0;
		foreach($all_tags as $tag) {
			$tags[$i] = "|(?!<[^<>]*?)(?<![?./&])\b($tag->name )\b(?!:)(?![^<>]*?>)|i";
			$tag_url = get_tag_link($tag->term_id);
			$tag_html[$i] = '<a href="' . $tag_url . '" title="$1">$1</a>';
			$i++;
		}
		return preg_replace($tags, $tag_html, $text, 1);
	}
	return $text;
}

///////////////////////////////
// Replace Char
///////////////////////////////
function vt_chr($v) {
	return trim( preg_replace( '/[^a-zA-Z0-9.]/s', '-', $v ) );
}

get_template_part('/includes/sidebars');
get_template_part('/includes/theme-funtions');
get_template_part('/includes/section-content');
?>